curl --request GET \
--url https://api.arize.com/v2/evaluators/{evaluator_id} \
--header 'Authorization: Bearer <token>'{
"id": "RXZhbHVhdG9yOjEyOmFCY0Q=",
"name": "Hallucination Eval",
"description": "Detects hallucinated content in LLM responses",
"type": "template",
"space_id": "U3BhY2U6NDkzOkJaSkc=",
"created_at": "2026-02-16T22:05:47.900Z",
"updated_at": "2026-02-16T22:05:48.150Z",
"created_by_user_id": "VXNlcjoxOm5OYkM=",
"version": {
"id": "RXZhbHVhdG9yVmVyc2lvbjoxMDpYeVp3",
"evaluator_id": "RXZhbHVhdG9yOjEyOmFCY0Q=",
"commit_hash": "a3b1c9e4f7d2a0518e6c3bb9217f87d1c4e810f2",
"commit_message": "Initial version",
"type": "template",
"template_config": {
"name": "hallucination",
"template": "You are an evaluation assistant...",
"include_explanations": true,
"use_function_calling_if_available": true,
"classification_choices": {
"hallucinated": 0,
"factual": 1
},
"direction": "maximize",
"data_granularity": "span",
"llm_config": {
"ai_integration_id": "TGxtSW50ZWdyYXRpb246MTI6YUJjRA==",
"model_name": "gpt-4o",
"invocation_parameters": {
"temperature": 0
},
"provider_parameters": {}
}
},
"created_at": "2026-02-16T22:05:48.143Z",
"created_by_user_id": "VXNlcjoxOm5OYkM="
}
}Returns an evaluator and a resolved version. By default, the latest version is included. Use the version_id query parameter to resolve a specific version.
curl --request GET \
--url https://api.arize.com/v2/evaluators/{evaluator_id} \
--header 'Authorization: Bearer <token>'{
"id": "RXZhbHVhdG9yOjEyOmFCY0Q=",
"name": "Hallucination Eval",
"description": "Detects hallucinated content in LLM responses",
"type": "template",
"space_id": "U3BhY2U6NDkzOkJaSkc=",
"created_at": "2026-02-16T22:05:47.900Z",
"updated_at": "2026-02-16T22:05:48.150Z",
"created_by_user_id": "VXNlcjoxOm5OYkM=",
"version": {
"id": "RXZhbHVhdG9yVmVyc2lvbjoxMDpYeVp3",
"evaluator_id": "RXZhbHVhdG9yOjEyOmFCY0Q=",
"commit_hash": "a3b1c9e4f7d2a0518e6c3bb9217f87d1c4e810f2",
"commit_message": "Initial version",
"type": "template",
"template_config": {
"name": "hallucination",
"template": "You are an evaluation assistant...",
"include_explanations": true,
"use_function_calling_if_available": true,
"classification_choices": {
"hallucinated": 0,
"factual": 1
},
"direction": "maximize",
"data_granularity": "span",
"llm_config": {
"ai_integration_id": "TGxtSW50ZWdyYXRpb246MTI6YUJjRA==",
"model_name": "gpt-4o",
"invocation_parameters": {
"temperature": 0
},
"provider_parameters": {}
}
},
"created_at": "2026-02-16T22:05:48.143Z",
"created_by_user_id": "VXNlcjoxOm5OYkM="
}
}Documentation Index
Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
The evaluator global ID (base64) A universally unique identifier
"RW50aXR5OjEyMzQ1"
Return the evaluator with this specific version (base64 global ID). If omitted, returns the latest version. A universally unique identifier
"RW50aXR5OjEyMzQ1"
Returns an evaluator with a resolved version
An evaluator defines reusable evaluation logic that can be attached to evaluation tasks. The type field determines the kind of evaluation: template (LLM-based template evaluation) or code (custom code evaluation).
The unique identifier for the evaluator
The name of the evaluator
The evaluator type: template (LLM-based) or code (managed built-in
evaluators or custom Python code — both are subtypes of code,
discriminated by the nested CodeConfig.type = managed | custom).
Applies to both the parent Evaluator.type field and every version's type
discriminator — a version's type must always match its parent evaluator's type.
template, code The unique identifier for the space the evaluator belongs to
When the evaluator was created
When the evaluator was last updated
The unique identifier for the user who created the evaluator
The resolved version of the evaluator
Show child attributes
The description of the evaluator
Was this page helpful?
Suggestions